### Class

# Clutter ColorState

#### Description [src]

    final class Clutter.ColorState : GObject.Object
    {
      /* No available fields */
    }

Color state of each ClutterActor

The `ClutterColorState` class contains the colorspace of each color states (e.g. sRGB colorspace).

Each `ClutterActor` would own such an object.

A single `ClutterColorState` object can be shared by multiple `ClutterActor` or maybe a separate color state for each `ClutterActor` (depending on whether `ClutterColorState` would be statefull or stateless).

`ClutterColorState`, if not set during construction, it will default to sRGB color state

The `ClutterColorState` would have API to get the colorspace, whether the actor content is in pq or not, and things like that.

#### Ancestors

- GObject

#### Constructors

###### clutter_color_state_new

Create a new ClutterColorState object.

#### Instance methods

###### clutter_color_state_get_colorspace

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.ColorState:colorspace

Colorspace information of the each color state, defaults to sRGB colorspace.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterColorStateClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.